MCPBundler Docs
MCPBundler Docs
Back to marketplaceGetting StartedAuthenticationTutorial - Bundle to Connected Agent
API Reference
Agent A2A Tools
Agent Channels
Agent Configuration (Staging)
Agent Configuration (Versions)
Agent Tools
agents
Agents
Attachments
Auth
Billing
bundler
Bundler
Bundler Tool
Bundles
Call Campaigns
Catalog
Conversations
Credentials
Deployments
Discover
Fleet
Genesys
Insights
internal
Knowledge Base Website Sources
Knowledge Bases
MCP Listings
Media
OAuth Clients
OAuth2
Observability
Organisation roles
Organisations
Providers
Reviews
Roadmap
SCIM
Simulation Tests
Suppression
Triggers
TTS
Users
Utils
Visitors
Voices
Webhooks
Workflows
Clear Workflow Version SamplesCreate WorkflowGet Workflow RunGet WorkflowList Workflow RunsList Workflow Version Samples
API ReferenceWorkflows

List Workflow Runs

GET
/v1/agents/{agent_id}/workflow/runs

Authorization

OAuth2AuthorizationCodeBearer
AuthorizationBearer <token>

In: header

Path Parameters

agent_id*Agent Id
Formatuuid

Query Parameters

limit?Limit
Range1 <= value <= 100
Default20
cursor?string|null
conversation_id?|null
verify_locally?Verify Locally
Defaulttrue

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/agents/497f6eca-6276-4993-bfeb-53cbbbba6f08/workflow/runs"
{  "items": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "conversation_id": "cc71b11a-25cd-4c2d-9950-df2cc38e3407",      "source": "string",      "status": "string",      "started_at": "2019-08-24T14:15:22Z",      "completed_at": "2019-08-24T14:15:22Z",      "step_count": 0,      "has_step_io": true,      "failed_node_id": "string"    }  ],  "next_cursor": "string"}
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string"    }  ]}

Get Workflow

Previous Page

List Workflow Version Samples

Next Page